Bug 962564 - disable (for now) EFI-enabled roms
disable (for now) EFI-enabled roms
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipxe (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On: 962563
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 17:20 EDT by Paolo Bonzini
Modified: 2014-06-18 04:30 EDT (History)
7 users (show)

See Also:
Fixed In Version: ipxe-20130517-1.gitc4bce43.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 962563
Environment:
Last Closed: 2014-06-13 05:33:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2013-05-13 17:20:28 EDT
+++ This bug was initially created as a clone of Bug #962563 +++

The iPXE ROMs in RHEL7.0 should not include a UEFI driver; we do not ship OVMF and cannot support them.

This basically means reverting Fedora bug 958875.
Comment 3 Miroslav Rezanina 2013-07-19 02:20:09 EDT
Fixed in ipxe-20130517-1.gitc4bce43.el7
Comment 5 langfang 2014-02-25 01:44:40 EST
Reproduce this bug as follow version:
Host:
# uname -r
3.10.0-86.el7.x86_64
# rpm -q qemu-kvm
qemu-kvm-1.5.2-1.el7.x86_64
# rpm -qa |grep ipxe
ipxe-roms-20130103-3.git717279a.el7.noarch
ipxe-roms-qemu-20130103-3.git717279a.el7.noarch
ipxe-bootimgs-20130103-3.git717279a.el7.noarch


Steps:
1.# cd /usr/share/qemu-kvm/
[root@localhost qemu-kvm]# ls
...
efi-e1000.rom
efi-eepro100.rom
efi-ne2k_pci.rom
efi-pcnet.rom
efi-rtl8139.rom
efi-virtio.rom 
...

Verify this bug as follow version:
# uname -r
3.10.0-88.el7.x86_64
# rpm -q qemu-kvm
qemu-kvm-1.5.3-48.el7.x86_64
# rpm -qa |grep ipxe
ipxe-roms-qemu-20130517-4.gitc4bce43.el7.noarch
ipxe-bootimgs-20130517-4.gitc4bce43.el7.noarch
ipxe-roms-20130517-4.gitc4bce43.el7.noarch

Steps:
1.# cd /usr/share/qemu-kvm/
[root@localhost qemu-kvm]# ls
acpi-dsdt.aml  linuxboot.bin     pxe-rtl8139.rom    rhel6-ne2k_pci.rom  vgabios.bin
bios-256k.bin  multiboot.bin     pxe-virtio.rom     rhel6-pcnet.rom     vgabios-cirrus.bin
bios.bin       pxe-e1000.rom     q35-acpi-dsdt.aml  rhel6-rtl8139.rom   vgabios-qxl.bin
keymaps        pxe-ne2k_pci.rom  qemu-ga            rhel6-virtio.rom    vgabios-stdvga.bin
kvmvapic.bin   pxe-pcnet.rom     qemu-icon.bmp      sgabios.bin         vgabios-vmware.bin


Resulst: no efi-* files provided.

According to above test ,this bug fixed.
Comment 7 Ludek Smid 2014-06-13 05:33:35 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.